%def_disable static
%define shortname ode

Name: libode
Version: 0.8
Release: alt1

Summary: Open Dynamics Engine

License: LGPL/BSD
Group: System/Libraries
Url: http://www.ode.org

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: http://dl.sf.net/opende/%shortname-src-%version.tar.bz2

BuildRequires: gcc-c++ imake libmesa-devel libXi-devel libXmu-devel xorg-cf-files

%description
Open Dynamics Engine.

%package devel
Summary: Development files of ODE
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files of ODE.

%if_enabled static
%package devel-static
Summary: ODE static development files
Group: Development/C++
Requires: lib%name = %version-%release

%description devel-static
This package contains static ODE development files.
%endif

%package doc
Summary: ODE documentation files
Group: Development/C++

%description doc
This package contains ODE documentation.

%prep
%setup -q -n %shortname-%version
# FIXME: needed for automake:
>NEWS
>README
>AUTHORS
>ChangeLog

%build
%__autoreconf
%configure \
    %{subst_enable static} \
    --with-pic \
    --enable-release \
    --enable-soname

%make_build

%install
%make_install DESTDIR="%buildroot" install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc ode/README ode/TODO CHANGELOG.txt README.txt
%_libdir/*.so.*

%files devel
%_bindir/*
%_libdir/*.so
%_includedir/%shortname/

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files doc
%doc docs/

%changelog
* Wed Apr 11 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.8-alt1
- 0.8 release.
- Removed patches.
- Fixed soname build install.

* Fri Aug 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt0.1
- NMU: new version 0.6 (old patches are dropped)
- fix source URL, rewrote spec
- add patch for fix library build (also tested on x86_64)

* Sun Oct 30 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.5-alt1
- Initial build for Sisyphus.

